Subject: Re: [PATCH] tcp FRTO: in-order-only "TCP proxy" fragility workaround (fwd)

From: Thomas Gleixner <[email-masked]>
Date: Sun, 5 Oct 2008 20:09:22 +0200 (CEST)

n Sun, 5 Oct 2008, Dâniel Fraga wrote:

> On Fri, 3 Oct 2008 00:19:08 +0300 (EEST)
> "Ilpo Järvinen" <[email-masked]> wrote:
> 
> > On Thu, 2 Oct 2008, Dâniel Fraga wrote:
> > 
> > > On Thu, 2 Oct 2008 23:31:28 +0300 (EEST)
> > > "Ilpo Järvinen" <[email-masked]> wrote:
> > > 
> > > > Ah, I was kind of thinking that you were doing something net related 
> > > > using some raw socket thing (such as traceroute) when you earlier 
> > > > mentioned sudo (iirc, we never really discussed what you usually do with 
> > > > it when you see the stall).
> > > 
> > > 	I read nntp groups everyday and I use leafnode. The stall on my
> > > desktop happens when I run fetchnews (which must be run as user "news"
> > > so I have to use sudo). Usually the stall on my desktop happens when
> > > I'm using fetchnews or some other command run by sudo.
> > 
> > Yes yes, I'd be specificly interested to have some rough idea what that
> > "some other command" includes, especially as some seem to be non-net 
> > related since you mentioned e.g., that /dev/log thing?
> 
> 	Here we go folks, good and bad news:
> 
> 1) the good news is that the Thomas' patch detected the stall, but...
> 
> 2)
> 
> Oct  5 14:23:03 teleporto vmunix: Tracer stopped
> Oct  5 14:23:13 teleporto last message repeated 2 times
> 
> 	if it had really stopped, the message wouldn't be repeated 2
> times.
> 
> 	and
> 
> fraga@teleporto ~$ cat /debug/tracing/tracing_enabled 
> 1
> 
> 	In other words, the tracing wasn't really stopped.
> 
> 	So I couldn't get what Thomas want. Should I activated the
> initial auto-checking of ftrace to see if it's really working? Very
> strange the fact it wasn't stopped.
> 
> 	***
> 
> 	I was waiting for 2 days to a stall and I managed to get the
> stall by using "sudo" multiple times. It seems that sudo really makes
> this bug hit.
> 	
> 	And now? Should we revise Thomas patch? Maybe a bug in ftrace
> code that prevents it from being stopped? It seems that:
> 
> ftrace_enabled = 0;
> 
> 	isn't really stopping the tracing.

did you get the content of /debug/tracing/trace nevertheless ?

The cat /debug/tracing/tracing_enabled == 1 might be just a user space
interface thingy.

Thanks,

	tglx